Skip to content

Register

POST
/api/v1/auth/web/register

Create a new user account and establish a session.

object
name
required

The user’s full name.

string
John Doe
email
required

The user’s email address. Must be unique.

string
password
required

The password. Must be at least 8 characters.

string
secretpassword
preferred_language
string
nullable
Allowed values: en zh-CN ja th id
th
password_confirmation
required

Password confirmation. Must match password.

string
secretpassword
object
user
object
id
integer
1
name
string
John Doe
email
message
string
Registered successfully.
{
"user": {
"id": 1,
"name": "John Doe",
"email": "[email protected]"
},
"message": "Registered successfully."
}

Validation error

object
message
string
The given data was invalid.
errors
object
email
Array<string>
[
"This email is already registered."
]
{
"message": "The given data was invalid.",
"errors": {
"email": [
"This email is already registered."
]
}
}